/* X-toolkit  Macro define     "xt.h"        -*- C -*-    */

/*
#S#
#
# This Program is part of SV (Shelx-output Viewer)
# Copyright (C) 1991-1998 Takashi Nemoto
#
#    This program is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 2 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details. (File "COPYING")
#
#    Note!: General Public Licence is copyrighted by the Free Software 
#           Foundation,  but this code is copyrighted by me.
#
#    Send bugs and comments to tnemoto@eels.kuicr.kyoto-u.ac.jp
#
#E#
*/
#ifndef __xt_h__
#ifdef Xt
#include <math.h>
#include <X11/Intrinsic.h>
#include <X11/StringDefs.h>
#include <X11/Shell.h>
#ifdef Xaw
#include <X11/Xmu/Atoms.h>
#include <X11/Xaw/Label.h>
#include <X11/Xaw/Form.h>
#include <X11/Xaw/Viewport.h>
#include <X11/Xaw/AsciiText.h>
#include <X11/Xaw/Box.h>
#include <X11/Xaw/Command.h>
#include <X11/Xaw/Dialog.h>
#include <X11/Xaw/MenuButton.h>
#include <X11/Xaw/SimpleMenu.h>
#include <X11/Xaw/SmeLine.h>
#include <X11/Xaw/SmeBSB.h>
#include <X11/Xaw/Paned.h>
#elif defined(Motif)
#error Motif Option may be available in future.
#elif defined(Olit)
#error Olit Option may be available in future.
#endif
#define MaxWin2Buf 6000
#define MaxErrorBuf 80

#define win0 XtWindow(toplevel)
#define win XtWindow(viewwin)
#define win2 XtWindow(wwin2)
#define win3 XtWindow(cmdwin)
#define win4 XtWindow(wwin4)
#define err_win XtWindow(errorlabel)
#define mes_win XtWindow(wmes_win)
#define disp XtDisplay(toplevel)
#define screen DefaultScreen(disp)

typedef struct {
char name[20];
XtCallbackProc proc;
} MENU_Button;

typedef struct {
char name[20];
char label[20];
XtCallbackProc proc;
} MENU_Button2;

typedef struct {
  Font defaultFont,reverseFont;
} SvData,*SvDataPtr;

#endif /* Xt */
#define __xt_h__
#endif
