/* Windows Constants "winmain.h" -*- C -*- */
/* These values should be equal to those in the resource file */

/***************/
/* Main Window */
/***************/

/* Command Line */
#define COMMAND_EXEC            1000

/* Menu - File */
#define MENU_EXIT               1001
#define MENU_OPEN               1002
#define MENU_PLOT_MONO          1003
#define MENU_PLOT_COLOR         1004

#define MENU_EXPORT_CAVITY      1011
#define MENU_EXPORT_ORTEP       1012
#define MENU_EXPORT_CSD         1013
#define MENU_EXPORT_CHARON      1014
#define MENU_EXPORT_SHELXL      1015
#define MENU_EXPORT_CHEMDRAW    1016
#define MENU_EXPORT_RASMOL      1017
#define MENU_EXPORT_MACTEMPAS   1018

/* Menu Edit */
#define MENU_CUT                1101
#define MENU_COPY               1102
#define MENU_PASTE              1103

/* Menu View Control */
#define MENU_UNITCELL_ON        1211
#define MENU_UNITCELL_OFF       1212
#define MENU_BONDLENGTH_ON      1221
#define MENU_BONDLENGTH_OFF     1222
#define MENU_PROJECTION_A       1231
#define MENU_PROJECTION_B       1232
#define MENU_PROJECTION_C       1233
#define MENU_STEREO_ON          1241
#define MENU_STEREO_OFF         1242
#define MENU_LABEL_OFF           1251
#define MENU_LABEL_RECT         1252
#define MENU_LABEL_ELEMENT      1253
#define MENU_LABEL_SHORT        1254
#define MENU_LABEL_LONG         1255

/* Menu - Help */
#define MENU_ABOUT              1301
#define MENU_HELP               1302

/* Menu - Option */
#define MENU_FONTSEL            1401

#define PROGRESS_LABEL          1501
#define PROGRESS_BAR            1502

/* Menu - Pair */
#define MENU_MAKEBOND           1601
#define MENU_DELBOND            1602
#define MENU_MOVEATOM           1603
#define MENU_DUPATOM            1604

/* Menu - Area */
#define MENU_AREA_INSIDE        1701
#define MENU_AREA_OUTSIDE       1702

/************/
/* List Win */
/************/
#define LISTWIN_MENU_SAVEAS     2001
#define LISTWIN_MENU_CUT        2101
#define LISTWIN_MENU_COPY       2102
#define LISTWIN_MENU_PASTE      2103

#define STACKWIN_MENU_SAVEAS    3001
#define STACKWIN_MENU_CUT       3101
#define STACKWIN_MENU_COPY      3102
#define STACKWIN_MENU_PASTE     3103
#define STACKWIN_MENU_POP       3111
#define STACKWIN_MENU_CLEAR     3112
#define STACKWIN_MENU_RESTORE   3113
#define STACKWIN_MENU_OMIT      3201
#define STACKWIN_MENU_INCLUDE   3202
#define STACKWIN_MENU_MAKEBOND  3211
#define STACKWIN_MENU_MBPAIR    3212
#define STACKWIN_MENU_REMBOND   3213
#define STACKWIN_MENU_RBPAIR    3214
#define STACKWIN_MENU_HELP      3301



